<template>
  <div class="modal--container center">
    <div class="modal--body">
      <h1>Resumen</h1>
      <img
        @click="closeModal"
        class="modal--body__close"
        :src="require(`../../assets/img/close.svg`)"
        alt="Cerrar">
      <table>
        <thead>
          <tr>
            <th>Imagen</th>
            <th>Nombre</th>
            <th>Precio/unidad</th>
            <th>Cantidad</th>
            <th>Total</th>
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="(item, index) in data"
            :key="index"
          >
            <td></td>
            <td>{{item.name}}</td>
            <td>{{item.price | currency}}</td>
            <td>{{item.items}}</td>
            <td>{{item.items * item.price | currency }}</td>
          </tr>
        </tbody>
      </table>
      <div class="total">
        <p>Total {{total}}</p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Modal',
  props: {
    data: {
      type: Array,
      default: []
    }
  },
  methods: {
    closeModal() {
      this.$emit('close-modal')
    }
  },
  computed: {
    total() {
      let total = 0
      this.data.forEach(item => {
        total = total + item.items * item.price
      })
      return total
    }
  },
  mounted () {
    console.log(this.data)
  }
}
</script>

<style lang="sass">
table
  border-collapse: collapse
  width: 90%
  margin: 0 auto
  font-size: 1.2rem
.modal--container
  position: fixed
  background: rgba(0, 0, 0, 0.3)
  top: 0
  left: 0
  right: 0
  bottom: 0
  .modal--body
    height: 400px
    width: 800px
    background: #fff
    position: relative
    padding: 2rem
    .modal--body__close
      height: 20px
      position: absolute
      top: 2rem
      right: 3rem
.total
  padding-top: 2rem
  text-align: left
  font-size: 1.6rem
</style>